Get repository architecture changes
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidcurrent_snapshot_id?|nullprevious_snapshot_id?|nullSuccessful Response
application/json- response
changes*array<>coverage_comparable*Coverage Comparablecurrent_audit_id?|nullcurrent_generated_at?|nullcurrent_snapshot_id?|nullcurrent_source_coverage*Current Source Coveragecurrent_sources*array<string>gate*previous_audit_id?|nullprevious_generated_at?|nullprevious_snapshot_id?|nullprevious_sources*array<string>repository_id*Repository IdFormat
uuidcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/changes'Example Response
{ "changes": [ { "change_fields": [ "string" ], "change_type": "entity_added", "consequence": "informational", "evidence_ids": [ "string" ], "key": "string", "kind": "string", "label": "string", "owner_hint": "string", "source_key": "string", "target_key": "string" } ], "coverage_comparable": true, "current_audit_id": "0eaf3927-4a4f-4777-b9b0-27190077c520", "current_generated_at": "2019-08-24T14:15:22Z", "current_snapshot_id": "48cf9354-130b-41e5-8cf1-2903f720121a", "current_source_coverage": "string", "current_sources": [ "string" ], "gate": { "outcome": "pass", "policy_enabled": true, "reasons": [ "string" ] }, "previous_audit_id": "08e0abe4-30c7-48dd-a48b-be6462726c06", "previous_generated_at": "2019-08-24T14:15:22Z", "previous_snapshot_id": "9c084780-5ee8-4726-80bb-2bc9a0edbffe", "previous_sources": [ "string" ], "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3"}